---
lang: en
title: 'API docs: repository.inclusion'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.inclusion.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [Inclusion](./repository.inclusion.md)

## Inclusion interface

Inclusion of related items

Note: scope means filter on related items

Example: `{relation: 'aRelationName', scope: {<AFilterObject>}}`

<b>Signature:</b>

```typescript
export interface Inclusion 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [relation](./repository.inclusion.relation.md) | string |  |
|  [scope](./repository.inclusion.scope.md) | [Filter](./repository.filter.md)<!-- -->&lt;[AnyObject](./repository.anyobject.md)<!-- -->&gt; |  |


